%define module		django-js-asset
%define pypi_name	django_js_asset

Name:		python-%{module}
Version:	3.0.1
Release:	%mkrel 2
Summary:	Script tag with additional attributes for django.forms.Media
License:	BSD
Group:		Development/Python
URL:		https://github.com/matthiask/django-js-asset/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Script tag with additional attributes for django.forms.Media.

%package -n	python3-%{module}
Summary:	Script tag with additional attributes for django.forms.Media
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(hatchling)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Script tag with additional attributes for django.forms.Media.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files js_asset

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 3.0.1-2.mga10
+ Revision: 2158120
- rebuild for python3.13

* Sun Dec 22 2024 daviddavid <daviddavid> 3.0.1-1.mga10
+ Revision: 2128822
- new version: 3.0.1

* Wed Dec 27 2023 daviddavid <daviddavid> 2.2.0-1.mga10
+ Revision: 2022011
- new version: 2.2.0
- use a named-versioned git tarball

* Wed Aug 30 2023 daviddavid <daviddavid> 2.1-1.mga10
+ Revision: 1981821
- new version: 2.1
- switch to pyproject

* Wed Aug 24 2022 papoteur <papoteur> 2.0-1.mga9
+ Revision: 1879993
- new 2.0

* Wed Mar 23 2022 umeabot <umeabot> 1.2.2-8.mga9
+ Revision: 1823865
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.2.2-7.mga9
+ Revision: 1785124
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.2.2-6.mga9
+ Revision: 1707692
- rebuild for python 3.9

* Wed Jul 15 2020 daviddavid <daviddavid> 1.2.2-5.mga8
+ Revision: 1606213
- add missing python_provides

* Sun Feb 16 2020 umeabot <umeabot> 1.2.2-4.mga8
+ Revision: 1531863
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.2.2-3.mga8
+ Revision: 1441331
- rebuild for python3.8

* Wed Aug 21 2019 wally <wally> 1.2.2-2.mga8
+ Revision: 1430839
- drop python2 support

* Sat Mar 02 2019 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1371005
- new version: 1.2.2

* Fri Jan 11 2019 daviddavid <daviddavid> 1.0.0-3.mga7
+ Revision: 1354921
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1288691
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1212376
- new version: 1.0.0

* Sat Jan 13 2018 daviddavid <daviddavid> 0.1.1-1.mga7
+ Revision: 1192482
- initial package python-django-js-asset

